Discussion:
dependencies with incompatible licenses: glob
(too old to reply)
Bruno Haible
2016-10-15 14:15:08 UTC
Permalink
Raw Message
When I run

$ ./gnulib-tool --create-testdir --with-tests --dir=/tmp/testdir1

I get these warnings, among others:

gnulib-tool: warning: module glob depends on a module with an incompatible license: closedir
gnulib-tool: warning: module glob depends on a module with an incompatible license: opendir
gnulib-tool: warning: module glob depends on a module with an incompatible license: readdir

These were introduced through new dependencies on 2011-09-17
http://lists.gnu.org/archive/html/bug-gnulib/2011-09/msg00231.html

Can we change the license of the modules 'closedir', 'opendir', 'readdir'
to 'LGPLv2+'?

Agreements are needed:
- For closedir from Bruno, KO Myung-Hun.
- For opendir from Bruno, Eric, KO Myung-Hun.
- For readdir from Bruno.

You hereby have my agreement (since all these modules are suitable for use
in libraries).

Eric, KO Myung-Hun, can we have yours?


diff --git a/modules/closedir b/modules/closedir
index 0763878..cdc0de3 100644
--- a/modules/closedir
+++ b/modules/closedir
@@ -23,7 +23,7 @@ Include:
<dirent.h>

License:
-LGPL
+LGPLv2+

Maintainer:
all
diff --git a/modules/opendir b/modules/opendir
index 8192853..61be718 100644
--- a/modules/opendir
+++ b/modules/opendir
@@ -27,7 +27,7 @@ Include:
<dirent.h>

License:
-LGPL
+LGPLv2+

Maintainer:
all
diff --git a/modules/readdir b/modules/readdir
index 6a8be70..122ae5b 100644
--- a/modules/readdir
+++ b/modules/readdir
@@ -23,7 +23,7 @@ Include:
<dirent.h>

License:
-LGPL
+LGPLv2+

Maintainer:
all


--
In memoriam Thomas Sankara <http://en.wikipedia.org/wiki/Thomas_Sankara>
Eric Blake
2016-10-15 16:27:19 UTC
Permalink
Raw Message
Post by Bruno Haible
Can we change the license of the modules 'closedir', 'opendir', 'readdir'
to 'LGPLv2+'?
- For closedir from Bruno, KO Myung-Hun.
- For opendir from Bruno, Eric, KO Myung-Hun.
- For readdir from Bruno.
You hereby have my agreement (since all these modules are suitable for use
in libraries).
Eric, KO Myung-Hun, can we have yours?
You've got my agreement.
--
Eric Blake eblake redhat com +1-919-301-3266
Libvirt virtualization library http://libvirt.org
KO Myung-Hun
2016-10-16 01:55:30 UTC
Permalink
Raw Message
Post by Bruno Haible
When I run
$ ./gnulib-tool --create-testdir --with-tests --dir=/tmp/testdir1
gnulib-tool: warning: module glob depends on a module with an incompatible license: closedir
gnulib-tool: warning: module glob depends on a module with an incompatible license: opendir
gnulib-tool: warning: module glob depends on a module with an incompatible license: readdir
These were introduced through new dependencies on 2011-09-17
http://lists.gnu.org/archive/html/bug-gnulib/2011-09/msg00231.html
Can we change the license of the modules 'closedir', 'opendir', 'readdir'
to 'LGPLv2+'?
- For closedir from Bruno, KO Myung-Hun.
- For opendir from Bruno, Eric, KO Myung-Hun.
- For readdir from Bruno.
You hereby have my agreement (since all these modules are suitable for use
in libraries).
Eric, KO Myung-Hun, can we have yours?
Of course.
Post by Bruno Haible
diff --git a/modules/closedir b/modules/closedir
index 0763878..cdc0de3 100644
--- a/modules/closedir
+++ b/modules/closedir
<dirent.h>
-LGPL
+LGPLv2+
all
diff --git a/modules/opendir b/modules/opendir
index 8192853..61be718 100644
--- a/modules/opendir
+++ b/modules/opendir
<dirent.h>
-LGPL
+LGPLv2+
all
diff --git a/modules/readdir b/modules/readdir
index 6a8be70..122ae5b 100644
--- a/modules/readdir
+++ b/modules/readdir
<dirent.h>
-LGPL
+LGPLv2+
all
--
In memoriam Thomas Sankara <http://en.wikipedia.org/wiki/Thomas_Sankara>
--
KO Myung-Hun

Using Mozilla SeaMonkey 2.7.2
Under OS/2 Warp 4 for Korean with FixPak #15
In VirtualBox v4.1.32 on Intel Core i7-3615QM 2.30GHz with 8GB RAM

Korean OS/2 User Community : http://www.ecomstation.co.kr
Bruno Haible
2016-10-26 12:07:25 UTC
Permalink
Raw Message
Thanks for your approvals. I've pushed the license change.

Bruno

Loading...